# frozen_string_literal: true

require_relative "lib/errors_helper/version"

Gem::Specification.new do |spec|
  spec.name          = "errors_helper"
  spec.version       = ErrorsHelper::VERSION
  spec.authors       = ["Axl Rose"]
  spec.email         = ["xxxxxx@xxxxx.io"]

  spec.summary       = "Gem that provides defined errors"
  spec.description   = "Provides defined errors"
  spec.homepage      = "https://www.xxxxxx.io/"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.4.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://xxxxxx.io"
  spec.metadata["changelog_uri"] = "https://xxxxxx.io/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  spec.add_runtime_dependency 'activemodel', '~> 6.0', '>= 6.0.3.4'
  spec.add_runtime_dependency 'rack', '~> 2.2', '>= 2.2.3'

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
